<html lang="en">
<head>
<title>Buffer Mode - Speedbar: File/Tag summarizing utility</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Speedbar: File/Tag summarizing utility">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="prev" href="File-Mode.html#File-Mode" title="File Mode">
<link rel="next" href="Minor-Modes.html#Minor-Modes" title="Minor Modes">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Buffer-Mode"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Minor-Modes.html#Minor-Modes">Minor Modes</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="File-Mode.html#File-Mode">File Mode</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="index.html#Top">Top</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h2 class="chapter">4 Buffer Mode</h2>

<p><a name="index-buffer-mode-22"></a>
Buffer mode is very similar to File mode, except that instead of
tracking the current directory and all files available there, the
current list of Emacs buffers is shown.

   <p>These buffers can have their tags expanded in the same way as files,
and uses the same unknown file indicator (see <a href="File-Mode.html#File-Mode">File Mode</a>).

   <p>Buffer mode does not have file operation bindings, but the following
buffer specific key bindings are available:

     <dl>
<dt><kbd>k</kbd><dd>Kill this buffer.  Do not touch its file. 
<br><dt><kbd>r</kbd><dd>Revert this buffer, reloading from disk. 
</dl>

   <p>In addition to Buffer mode, there is also Quick Buffer mode.  In fact,
Quick Buffers is bound to the <kbd>b</kbd> key.  The only difference between
Buffers and Quick Buffers is that after one operation  is performed
which affects the attached frame, the display is immediately reverted to
the last displayed mode.

   <p>Thus, if you are in File mode, and you need quick access to a buffer,
press <kbd>b</kbd>, click on the buffer you want, and speedbar will revert
back to File mode.

   </body></html>

